/* 
   [sd.h]
   (c) Simon Kueppers
   20.12.06 Germany

   This file holds the prototypes for accessing the sd card connected to controller
   

   PS:
   I tried to comment the code as best as i was able to. This is a little bit confusing
   for a german, so please excuse if something is not that right it should be.
   Have fun with this code but remember the BEER LICENSE when you copy+paste something
   from here :-)

*/

#ifndef _sd
#define _sd

#include "stdint.h"									//Vartypedefs

/*
   Writes BLK_SIZE bytes of data to disk at pageadress

   adress: adress to write to on disk
   p_src: source pointer to memory to copy from
   return: no return value
*/
void sd_write (uint32_t adress, void *p_src);

/* 
   Reads BLK_SIZE bytes of data from disk at pageadress

   adress: adress to read from disk
   p_dst: destination pointer to memory to write to
   return: no return value
*/
void sd_read (uint32_t adress, void *p_dst);

/*
   Inits SD-Card interface.
   Should be run once at startup

   return: no return value
*/
void sd_init ();


#endif //_sd
